<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackerRawDataConst.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerRawDataConst.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_raw_data_const_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_ConstTrackerRawData_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_ConstTrackerRawData_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_raw_data_obj_8h.html">eicd/TrackerRawDataObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">class </span>TrackerRawData;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">class </span>TrackerRawDataCollection;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">class </span>TrackerRawDataCollectionIterator;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_raw_data.html">   23</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_raw_data_collection.html">TrackerRawDataCollection</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_raw_data_collection_iterator.html">TrackerRawDataCollectionIterator</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a584af0dafb0a08a9a687f45ccb1571a1">ConstTrackerRawData</a>();</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a584af0dafb0a08a9a687f45ccb1571a1">ConstTrackerRawData</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a14323906e61cde925f76a3d45fd43fc2">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a57b43e648659351dc10f932d69746a3b">cellID1</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#ae4980c190c5dc5f966d439ff67204790">channelID</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#ab0072dbdaa2f53a345d862562a2f692a">time</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a3e8f36ce6772d09fbfe56635a9586816">adc</a>);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a584af0dafb0a08a9a687f45ccb1571a1">ConstTrackerRawData</a>(<a class="code" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a>* obj);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a584af0dafb0a08a9a687f45ccb1571a1">ConstTrackerRawData</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a>&amp; other);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a>&amp; <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a67d32b434513b58d9f40d5828982f113">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a>&amp; other);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a4fab4fb1488a4021f07bc5a3a961d108">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a0963846ec61e412db886efc7ec304fb8">~ConstTrackerRawData</a>();</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a14323906e61cde925f76a3d45fd43fc2">cellID0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a57b43e648659351dc10f932d69746a3b">cellID1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_tracker_raw_data.html#ae4980c190c5dc5f966d439ff67204790">channelID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_const_tracker_raw_data.html#ab0072dbdaa2f53a345d862562a2f692a">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a3e8f36ce6772d09fbfe56635a9586816">adc</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a05f2cb05d12b6ec8725eec8949cdd939">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_raw_data.html#ab21375e2bdde3cc0a616a953dac1822d">   74</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#ab21375e2bdde3cc0a616a953dac1822d">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_raw_data.html#a27e7f36cec9208598e6522e547e02a4e">   76</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a27e7f36cec9208598e6522e547e02a4e">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a27e7f36cec9208598e6522e547e02a4e">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_raw_data.html#aaacccd777e6d4004ebdf6af9d5525a48">   80</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#aaacccd777e6d4004ebdf6af9d5525a48">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_raw_data.html#a407edf42728adae04616a386192d7dcf">   82</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a407edf42728adae04616a386192d7dcf">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a820efd795bbaffcbe54dacff6d26aeb4">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a820efd795bbaffcbe54dacff6d26aeb4">getObjectID</a>().index; }</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_tracker_raw_data.html#a820efd795bbaffcbe54dacff6d26aeb4">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <a class="code" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a>* m_obj;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;};</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_a407edf42728adae04616a386192d7dcf"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#a407edf42728adae04616a386192d7dcf">eic::ConstTrackerRawData::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8h_source.html#l00082">TrackerRawDataConst.h:82</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_a820efd795bbaffcbe54dacff6d26aeb4"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#a820efd795bbaffcbe54dacff6d26aeb4">eic::ConstTrackerRawData::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8cc_source.html#l00068">TrackerRawDataConst.cc:68</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_a4fab4fb1488a4021f07bc5a3a961d108"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#a4fab4fb1488a4021f07bc5a3a961d108">eic::ConstTrackerRawData::clone</a></div><div class="ttdeci">ConstTrackerRawData clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8cc_source.html#l00043">TrackerRawDataConst.cc:43</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_a67d32b434513b58d9f40d5828982f113"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#a67d32b434513b58d9f40d5828982f113">eic::ConstTrackerRawData::operator=</a></div><div class="ttdeci">ConstTrackerRawData &amp; operator=(const ConstTrackerRawData &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8cc_source.html#l00033">TrackerRawDataConst.cc:33</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_ab21375e2bdde3cc0a616a953dac1822d"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#ab21375e2bdde3cc0a616a953dac1822d">eic::ConstTrackerRawData::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from TrackerRawDataObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8h_source.html#l00074">TrackerRawDataConst.h:74</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_obj_html"><div class="ttname"><a href="classeic_1_1_tracker_raw_data_obj.html">eic::TrackerRawDataObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_obj_8h_source.html#l00018">TrackerRawDataObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_a27e7f36cec9208598e6522e547e02a4e"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#a27e7f36cec9208598e6522e547e02a4e">eic::ConstTrackerRawData::operator==</a></div><div class="ttdeci">bool operator==(const ConstTrackerRawData &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8h_source.html#l00076">TrackerRawDataConst.h:76</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_a584af0dafb0a08a9a687f45ccb1571a1"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#a584af0dafb0a08a9a687f45ccb1571a1">eic::ConstTrackerRawData::ConstTrackerRawData</a></div><div class="ttdeci">ConstTrackerRawData()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8cc_source.html#l00016">TrackerRawDataConst.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_a0963846ec61e412db886efc7ec304fb8"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#a0963846ec61e412db886efc7ec304fb8">eic::ConstTrackerRawData::~ConstTrackerRawData</a></div><div class="ttdeci">~ConstTrackerRawData()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8cc_source.html#l00047">TrackerRawDataConst.cc:47</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_a3e8f36ce6772d09fbfe56635a9586816"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#a3e8f36ce6772d09fbfe56635a9586816">eic::ConstTrackerRawData::adc</a></div><div class="ttdeci">const int &amp; adc() const</div><div class="ttdoc">Access the measured ADC values. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8cc_source.html#l00054">TrackerRawDataConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html">eic::TrackerRawData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8h_source.html#l00025">TrackerRawData.h:25</a></div></div>
<div class="ttc" id="_tracker_raw_data_obj_8h_html"><div class="ttname"><a href="_tracker_raw_data_obj_8h.html">TrackerRawDataObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_aaacccd777e6d4004ebdf6af9d5525a48"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#aaacccd777e6d4004ebdf6af9d5525a48">eic::ConstTrackerRawData::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const ConstTrackerRawData &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8h_source.html#l00080">TrackerRawDataConst.h:80</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html">eic::ConstTrackerRawData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8h_source.html#l00023">TrackerRawDataConst.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_a57b43e648659351dc10f932d69746a3b"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#a57b43e648659351dc10f932d69746a3b">eic::ConstTrackerRawData::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8cc_source.html#l00051">TrackerRawDataConst.cc:51</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_ae4980c190c5dc5f966d439ff67204790"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#ae4980c190c5dc5f966d439ff67204790">eic::ConstTrackerRawData::channelID</a></div><div class="ttdeci">const long long &amp; channelID() const</div><div class="ttdoc">Access the channel id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8cc_source.html#l00052">TrackerRawDataConst.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_a05f2cb05d12b6ec8725eec8949cdd939"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#a05f2cb05d12b6ec8725eec8949cdd939">eic::ConstTrackerRawData::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8cc_source.html#l00061">TrackerRawDataConst.cc:61</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_ab0072dbdaa2f53a345d862562a2f692a"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#ab0072dbdaa2f53a345d862562a2f692a">eic::ConstTrackerRawData::time</a></div><div class="ttdeci">const int &amp; time() const</div><div class="ttdoc">Access the time measurement associated with the adc values. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8cc_source.html#l00053">TrackerRawDataConst.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_collection_html"><div class="ttname"><a href="classeic_1_1_tracker_raw_data_collection.html">eic::TrackerRawDataCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_collection_8h_source.html#l00050">TrackerRawDataCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html_a14323906e61cde925f76a3d45fd43fc2"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html#a14323906e61cde925f76a3d45fd43fc2">eic::ConstTrackerRawData::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8cc_source.html#l00050">TrackerRawDataConst.cc:50</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_tracker_raw_data_collection_iterator.html">eic::TrackerRawDataCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_collection_8h_source.html#l00029">TrackerRawDataCollection.h:29</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
